%{?nodejs_find_provides_and_requires}

%global packagename diffie-hellman
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 5.0.2
Release: 1%{?dist}.3
Summary: Pure js diffie-hellman
License: MIT
URL: https://github.com/crypto-browserify/diffie-hellman
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source1: https://github.com/crypto-browserify/diffie-hellman/raw/v%{version}/test.js
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(bn.js) >= 4.1.0
BuildRequires: npm(bn.js) < 5.0.0
BuildRequires: npm(miller-rabin) >= 4.0.0
BuildRequires: npm(miller-rabin) < 5.0.0
BuildRequires: npm(randombytes) >= 2.0.0
BuildRequires: npm(randombytes) < 3.0.0
%if 0%{?enable_tests}
BuildRequires: npm(tape) >= 3.0.1
%endif

%description
Pure js diffie-hellman, same api as node, most hard parts thanks to bn.js
by @indutny).  In node just returns an object with crypto.createDiffieHellman
and crypto.getDiffieHellman in the browser returns a shim.
To require the pure JavaScript one in node require('diffie-hellman/browser');


%prep
%setup -q -n package
cp %{SOURCE1} .
%nodejs_fixdep tape '>=3.0.1'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/node test.js
%endif


%files
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Sat Sep 24 2016 Oleg Girko <ol@infoserver.lv> - 5.0.2-1
- Initial package.
